services:
  radarr:
    hostname: radarr.docker
    environment:
      PUID: "${HOST_UID}"
      PGID: "${HOST_GID}"
      # RUNTIPI Environment
      RUNTIPI_APP_PORT: "${APP_PORT}"
      RUNTIPI_APP_ID: "${APP_ID}"
      RUNTIPI_APP_DATA_DIR: "${APP_DATA_DIR}"
      RUNTIPI_APP_EXPOSED: "${APP_EXPOSED:-}"
      RUNTIPI_APP_DOMAIN: "${APP_DOMAIN}"
      RUNTIPI_APP_HOST: "${APP_HOST}"
      RUNTIPI_LOCAL_DOMAIN: "${LOCAL_DOMAIN}"
      RUNTIPI_DOMAIN: "${DOMAIN}"
      RUNTIPI_ROOT_DOMAIN: "${ROOT_DOMAIN}"
    volumes_from:
    - "container:vols-arr"
    labels:
    # Websecure
      traefik.http.routers.radarr.middlewares: authentik_sysmgr@file
    #   traefik.http.routers.radarr.middlewares: lan-only@file
    #   traefik.http.routers.radarr-more.rule: Host(`radarr.${ROOT_DOMAIN}`)${APP_ROUTE_OPTIONAL:-}
    #   traefik.http.routers.radarr-more.entrypoints: websecure
    #   traefik.http.routers.radarr-more.service: radarr
    #   traefik.http.routers.radarr-more.middlewares: authentik_sysmgr@file
    #   traefik.http.routers.radarr-more.middlewares: lan-only@file
    #   traefik.http.routers.radarr-more.tls: true
    #   traefik.http.routers.radarr-more.tls.certresolver: myresolver